package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// Advertising
// @Summary      广告位
// @Tags         广告位
// @Description  广告位
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.AdvertisingResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/advertising [get]
func Advertising(c *gin.Context) {
	svc.Advertising(c)
}

// AdvertisingDetail
// @Summary      广告位详情
// @Tags         广告位
// @Description  广告位详情
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingReq          true   "注册参数"
// @Success      200   {object}   md.AdvertisingSpace  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/advertising/detail [post]
func AdvertisingDetail(c *gin.Context) {
	svc.AdvertisingDetail(c)
}

// AdvertisingCheck
// @Summary      广告位限制
// @Tags         广告位
// @Description  广告位限制
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingReq          true   "注册参数"
// @Success      200   {object}   md.AdvertisingCheck  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/advertising/check [post]
func AdvertisingCheck(c *gin.Context) {
	svc.AdvertisingCheck(c)
}

// AdvertisingState
// @Summary      广告状态 看完之后拿到广告唯一值
// @Tags         广告位
// @Description   广告状态 看完之后拿到广告唯一值
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingReq          true   "注册参数"
// @Success      200   {object}   md.AdvertisingState  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/advertising/state [post]
func AdvertisingState(c *gin.Context) {
	svc.AdvertisingState(c)
}
