package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// PlayletBase
// @Summary      短剧-基本信息
// @Tags         短视频
// @Description   短剧-基本信息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.PlayletBaseData  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/playlet/base [get]
func PlayletBase(c *gin.Context) {
	svc.PlayletBase(c)
}

// PlayletUnlockNum
// @Summary      短剧-解锁数量
// @Tags         短视频
// @Description   短剧-解锁数量
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.PlayletUnlockRequest          true   "参数"
// @Success      200   {object}   md.PlayletUnlockResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/playlet/unlockNum [post]
func PlayletUnlockNum(c *gin.Context) {
	svc.PlayletUnlockNum(c)
}

// PlayletReward
// @Summary      短剧-保存
// @Tags         短视频
// @Description  短剧-保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.PlayletRewardRequest          true   "参数"
// @Success      200   {string}      	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/playlet/reward [post]
func PlayletReward(c *gin.Context) {
	svc.PlayletReward(c)
}
