package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// UserFeedbackCate
// @Summary      意见反馈-分类
// @Tags         意见反馈
// @Description   意见反馈-分类
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.AdvertisingResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/userFeedback/cate [get]
func UserFeedbackCate(c *gin.Context) {
	svc.UserFeedbackCate(c)
}

// UserFeedbackList
// @Summary      意见反馈-反馈记录
// @Tags         意见反馈
// @Description  意见反馈-反馈记录
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackListReq          true   "参数"
// @Success      200   {object}   md.UserFeedbackListResp    	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/userFeedback/list [post]
func UserFeedbackList(c *gin.Context) {
	svc.UserFeedbackList(c)
}

// UserFeedbackRecord
// @Summary      意见反馈-反馈记录-沟通记录
// @Tags         意见反馈
// @Description  意见反馈-反馈记录-沟通记录
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackRecordReq          true   "参数"
// @Success      200   {object}   md.UserFeedbackRecordResp    	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/userFeedback/record [post]
func UserFeedbackRecord(c *gin.Context) {
	svc.UserFeedbackRecord(c)
}

// UserFeedbackSay
// @Summary      意见反馈-反馈记录-沟通发送
// @Tags         意见反馈
// @Description  意见反馈-反馈记录-沟通发送
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackSayReq          true   "参数"
// @Success      200   {string}       	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/userFeedback/say [post]
func UserFeedbackSay(c *gin.Context) {
	svc.UserFeedbackSay(c)
}

// UserFeedbackSave
// @Summary      意见反馈-反馈记录-提交
// @Tags         意见反馈
// @Description  意见反馈-反馈记录-提交
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackSaveReq          true   "参数"
// @Success      200   {string}      	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/userFeedback/save [post]
func UserFeedbackSave(c *gin.Context) {
	svc.UserFeedbackSave(c)
}
