package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// GetRealNameAuthBase
// @Summary      实名认证-基础信息
// @Tags         实名认证
// @Description   实名认证-分类
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.RealNameAuthBasicData  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/faceRealName/base [get]
func GetRealNameAuthBase(c *gin.Context) {
	svc.GetRealNameAuthBase(c)
}

// GetRealNameAuthState
// @Summary      实名认证-基础信息
// @Tags         实名认证
// @Description   实名认证-分类
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.RealNameAuthBasicData  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/faceRealName/state [get]
func GetRealNameAuthState(c *gin.Context) {
	svc.GetRealNameAuthState(c)
}

// RealNameSave
// @Summary      实名认证-保存
// @Tags         实名认证
// @Description  实名认证-保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.RealNameAuthAddRequest          true   "参数"
// @Success      200   {object}   md.RealNameAuthResp    	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/faceRealName/save [post]
func RealNameSave(c *gin.Context) {
	svc.RealNameSave(c)
}
