package hdl

import (
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

// VideoBase
// @Summary      短视频-基本信息
// @Tags         短视频
// @Description   短视频-基本信息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}   md.VideoBaseData  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/video/base [get]
func VideoBase(c *gin.Context) {
	svc.VideoBase(c)
}

// VideoReward
// @Summary      短视频-领取
// @Tags         短视频
// @Description  短视频-领取
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.VideoRewardRequest          true   "参数"
// @Success      200   {string}      	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/v1/video/reward [post]
func VideoReward(c *gin.Context) {
	svc.VideoReward(c)
}
