package md

import (
	"applet/app/pkg/pb"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

type SendRedPackageDetailReq struct {
	OrderId string `json:"order_id"` // 红包的订单 ID
}

type SeqType struct {
	Seq int `json:"seq"` // 序列号
}

type SendRedPackageDetailResp struct {
	Im           SeqType `json:"im"`
	RedPackageID int64   `json:"red_package_id"` // 红包 ID
}

type GrabRedPackageReq struct {
	UserId                     string `json:"user_id"`                         //im用户id
	SendRedPackageUserNikeName string `json:"send_red_package_user_nike_name"` //红包发送者-im用户昵称
	SendRedPacketAvatarUrl     string `json:"send_red_packet_avatar_url"`      //红包发送者-im用户头像
	DeviceId                   string `json:"device_id"`                       //设备id
	Token                      string `json:"token"`                           //im-token
	ReceiverType               int    `json:"receiver_type"`                   //接收者类型，1：user;2:group
	ReceiverId                 int64  `json:"receiver_id"`                     //用户id或者群组id
	SendTime                   int64  `json:"send_time"`                       //消息发送时间戳，精确到毫秒
	RedPackageId               int    `json:"red_package_id"`                  //红包id
	RedPackageCover            string `json:"red_package_cover"`               //红包封面
}

type GrabRedPackageResp struct {
	Im         *pb.SendRedPacketResp `json:"im"`          // im 返回体
	GrabAmount string                `json:"grab_amount"` // 抢到的红包金额
}

type RedPackageDetailUserNode struct {
	ImUserId      string `json:"im_user_id"`      //im用户id
	UserNickName  string `json:"user_nick_name"`  //im用户昵称
	UserAvatarUrl string `json:"user_avatar_url"` //im用户昵称
	Amount        string `json:"amount"`          //金额
	ReceiveAt     string `json:"received_at"`     //领取时间
}

type RedPackageDetailResp struct {
	List   []RedPackageDetailUserNode `json:"list"`   // 领取红包用户列表
	Detail model.ImSendRedPackageOrd  `json:"detail"` // 红包详情信息
}

type SendRedPackageReq struct {
	UserId                string  `json:"user_id"`                  //im用户id
	DeviceId              string  `json:"device_id"`                //设备id
	Token                 string  `json:"token"`                    //im-token
	Amount                string  `json:"amount"`                   //红包金额
	RedPacketType         int     `json:"red_packet_type"`          //红包类型(0:未知 1:好友红包 2:群组普通红包 3:群组手气红包 4:群组专属红包 5:系统红包)
	RedPacketNums         int     `json:"red_packet_nums"`          //红包数量
	RedPacketContent      string  `json:"red_packet_content"`       //红包文字内容
	RedPacketSmallContent string  `json:"red_packet_small_content"` //红包文字内容
	ReceiverType          int     `json:"receiver_type"`            //接收者类型，1：user;2:group
	ReceiverId            int64   `json:"receiver_id"`              //用户id或者群组id
	SendTime              int64   `json:"send_time"`                //消息发送时间戳，精确到毫秒
	ToUserIds             []int64 `json:"to_user_ids"`              //红包给到哪些im用户id(专属红包)
	RedPackageCover       string  `json:"red_package_cover"`        //红包封面
}

type SendRedPackageResp struct {
	Im           *pb.SendRedPacketResp `json:"im"`
	RedPackageId int64                 `json:"red_package_id"` // 红包ID
}
