package md

type PointsCenterGetBasicResp struct {
	Energy        string `json:"energy"`           // 蛋蛋能量值
	EnergyValue   string `json:"energy_amount"`    // 能量价值
	WalletAmount  string `json:"wallet_amount"`    // 账户余额
	EggPoint      string `json:"egg_point"`        // 能量积分
	EggPointValue string `json:"egg_point_amount"` // 能量积分价值
}

type InitialDataResp struct {
	InitialPrice               string `json:"initial_price"`                // 初始价格
	TotalIssuanceAmount        string `json:"total_issuance_amount"`        // 总发行量
	TotalTechnologyTeam        string `json:"total_technology_team"`        // 技术团队
	TotalAngelInvestor         string `json:"total_angel_investor"`         // 天使投资人
	TotalOperateFund           string `json:"total_operate_fund"`           // 运营资金
	TotalEcologicalDevelopment string `json:"total_ecological_development"` // 生态建设
}

type DynamicDataResp struct {
	UserTotalHold           string `json:"user_total_hold"`            // 用户持有总量
	StarLevelDividends      string `json:"star_level_dividends"`       // 星级分红
	DevelopmentCommittee    string `json:"development_committee"`      // 发展委员会
	PublicWelfareAndCharity string `json:"public_welfare_and_charity"` // 公益基金
}

type GetPriceCurveResp struct {
	XData []interface{} `json:"x_data"`
	YData []interface{} `json:"y_data"`
}

type PointsExchangeGetBasicResp struct {
	AvailableEnergy string `json:"available_energy"` // 可用能量
	AvailableCash   string `json:"available_cash"`   // 可用现金
}

type ExchangeEnergyReq struct {
	EnergyAmount string `json:"energy_amount,required"` // 兑换能量数值
}

type GetContributionValueResp struct {
	ContributionValue string `json:"contribution_value"` // 贡献值
	Ratio             string `json:"ratio"`              // 兑换比率(x 分兑换 1 人民币)
}

type ContributionValueFlowNode struct {
	Title     string `json:"title"`     // 标题
	CreateAt  string `json:"create_at"` // 完成时间
	Direction string `json:"direction"` // 方向： 1.收入 2.支出
	Amount    string `json:"amount"`    // 变更数量
}

type GetContributionValueFlowResp struct {
	List     []ContributionValueFlowNode `json:"list"`
	Paginate Paginate                    `json:"paginate"`
}

type EggPointRecordNode struct {
	StartAt string `json:"start_at"` // 开始时间
	EndAt   string `json:"end_at"`   // 结束时间
	Year    string `json:"year"`     // 年份
	Week    string `json:"week"`     //周数
	Score   string `json:"score"`    // 分数
}

type GetEggPointRecordResp struct {
	NowScore string               `json:"now_score"` // 当前分数
	List     []EggPointRecordNode `json:"list"`      // 分数明细列表
	Paginate Paginate             `json:"paginate"`
}

type EggEnergyFlowNode struct {
	Id           int64  `json:"id"`
	CoinName     string `json:"coin_name"`     // 虚拟币名称
	Direction    int    `json:"direction"`     // 方向:1.收入 2.支出
	Title        string `json:"title"`         // 标题
	Amount       string `json:"amount"`        // 变更数量
	BeforeAmount string `json:"before_amount"` // 变更前数量
	AfterAmount  string `json:"after_amount"`  // 变更后数量
	SysFee       string `json:"sys_fee"`       // 手续费
	TransferType string `json:"transfer_type"` // 转账类型
	CreateAt     string `json:"create_at"`     // 创建时间
}

type GetEggEnergyFlowResp struct {
	List     []EggEnergyFlowNode `json:"list"`
	Paginate Paginate            `json:"paginate"`
}

type PointsCenterCalcExchangeResp struct {
	Value string `json:"value"` // 预估可兑换的金额
}
