package mw

import (
	"applet/app/e"
	"applet/app/svc"
	"errors"
	"github.com/gin-gonic/gin"
)

// Auth 检查权限, 签名等等
func Auth(c *gin.Context) {
	user, newToken, err := svc.CheckUser(c)
	if err != nil {
		var e1 e.E
		switch {
		case errors.As(err, &e1):
			e.OutErr(c, e1.Code, e1.Error())
			return
		default:
			e.OutErr(c, e.ERR_UNAUTHORIZED, err.Error())
			return
		}
	}
	if user == nil {
		e.OutErr(c, e.ERR_NOT_AUTH, "当前用户信息失效")
		return
	}
	// 将当前请求的用户信息保存到请求的上下文c上
	c.Set("user", user)
	if len(newToken) > 0 {
		c.Header("new-token", newToken) // TODO::将新Token添加到返回的Header里，方便前端使用
	}
	c.Next()
}
