// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/addFriend/basalRate": {
            "get": {
                "description": "基础速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-基础速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.BasalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggEnergyDetails": {
            "post": {
                "description": "蛋蛋能量明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋能量明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggEnergyDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/eggPointDetails": {
            "post": {
                "description": "蛋蛋积分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-蛋蛋积分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页类型必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.EggPointDetailsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFans": {
            "get": {
                "description": "团队加速速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-团队加速速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/myFansUserList": {
            "get": {
                "description": "在线好友列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-我的粉丝-在线好友列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MyFansUserListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/nineDimensionalSpace": {
            "get": {
                "description": "九维空间(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-粉丝团队-九维空间(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NineDimensionalSpaceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/addFriend/totalRate": {
            "get": {
                "description": "总速率(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "添加好友"
                ],
                "summary": "蛋蛋星球-添加好友-总速率(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TotalRateResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising": {
            "get": {
                "description": "广告位",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位"
                ],
                "summary": "广告位",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising/check": {
            "post": {
                "description": "广告位限制",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位"
                ],
                "summary": "广告位限制",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingCheck"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising/detail": {
            "post": {
                "description": "广告位详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位"
                ],
                "summary": "广告位详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingSpace"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/advertising/state": {
            "post": {
                "description": "广告状态 看完之后拿到广告唯一值",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告位"
                ],
                "summary": "广告状态 看完之后拿到广告唯一值",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingState"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/CommentDelete/{$comment_index_id}": {
            "delete": {
                "description": "评论点赞",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-删除评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/CommentLike": {
            "get": {
                "description": "评论取消点赞",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-评论取消点赞",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "评论文档记录",
                        "name": "comment_index_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/cancelLike": {
            "post": {
                "description": "取消点赞朋友圈",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-取消点赞朋友圈",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.EggFriendCircleCancelLikeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/comment": {
            "get": {
                "description": "是否可以评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/commentDetail": {
            "get": {
                "description": "评论详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-评论详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "评论文档记录",
                        "name": "comment_index_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/commentList": {
            "post": {
                "description": "评论列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-评论列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "朋友圈文档记录",
                        "name": "circle_index_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.CommentListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/delete": {
            "delete": {
                "description": "删除朋友圈",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-删除朋友圈",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.EggFriendCircleDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/isCanComment": {
            "get": {
                "description": "是否可以评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-是否可以评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/isCanPublish": {
            "get": {
                "description": "是否可以发布朋友圈",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-是否可以发布朋友圈",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/like": {
            "post": {
                "description": "点赞朋友圈",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-点赞朋友圈",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.EggFriendCircleLikeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/mySelfList": {
            "post": {
                "description": "我的朋友圈列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-我的朋友圈列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "签名上传url",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.MySelfListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回数据",
                        "schema": {
                            "$ref": "#/definitions/friend_circles.MySelfListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/publish": {
            "post": {
                "description": "发布朋友圈",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-发布朋友圈",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.PublishReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/recommendList": {
            "post": {
                "description": "我的朋友圈列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-推荐列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "签名上传url",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.RecommendListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回数据",
                        "schema": {
                            "$ref": "#/definitions/friend_circles.RecommendListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/circleFriends/share": {
            "post": {
                "description": "分享后朋友圈分享数(增加)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "朋友圈"
                ],
                "summary": "朋友圈-分享后朋友圈分享数(增加)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/friend_circles.EggFriendCircleShareReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/cate": {
            "get": {
                "description": "蛋蛋学院-分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/detail": {
            "post": {
                "description": "蛋蛋学院-文章详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-文章详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CollegeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CollegeDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/like/add": {
            "post": {
                "description": "蛋蛋学院-文章-点赞",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-文章-点赞",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CollegeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/like/cancel": {
            "post": {
                "description": "蛋蛋学院-文章-取消点赞",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-文章-取消点赞",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CollegeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/list": {
            "post": {
                "description": "蛋蛋学院-文章列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-文章列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CollegeListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CollegeListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/college/share/add": {
            "post": {
                "description": "蛋蛋学院-文章-分享后调用统计数量",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋学院"
                ],
                "summary": "蛋蛋学院-文章-分享后调用统计数量",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CollegeDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/accessRecords": {
            "post": {
                "description": "页面记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "访问记录"
                ],
                "summary": "通用请求-访问记录-页面记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页面标识",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/comm.AccessRecordsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "data exist",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/comm/getOssUrl": {
            "post": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "签名上传url",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/comm.ImgReqUploadReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/config": {
            "get": {
                "description": "基本配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基本配置"
                ],
                "summary": "基本配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ConfigResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/faceRealName/base": {
            "get": {
                "description": "实名认证-分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "实名认证"
                ],
                "summary": "实名认证-基础信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealNameAuthBasicData"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/faceRealName/save": {
            "post": {
                "description": "实名认证-保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "实名认证"
                ],
                "summary": "实名认证-保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RealNameAuthAddRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealNameAuthResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/faceRealName/state": {
            "get": {
                "description": "实名认证-分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "实名认证"
                ],
                "summary": "实名认证-基础信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealNameAuthBasicData"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/fastLogin": {
            "post": {
                "description": "一键登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "一键登录",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FastLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/findPassword": {
            "post": {
                "description": "找回密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "找回密码",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.FindPasswordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/getModuleSetting": {
            "get": {
                "description": "页面样式",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "页面样式"
                ],
                "summary": "页面样式",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页面名称类型值(1:首页 2:会员中心  3:底部导航 4:邀请下载落地页 5:邀请海报  7:下载渠道   8:贡献值   9:蛋蛋分   10:商务合作   11:资质证书   12:提现页   13:提现到账户 14实名认证)",
                        "name": "mod_name_value",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetModuleSettingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/guidePage/runningTime": {
            "get": {
                "description": "运行时间",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "引导页"
                ],
                "summary": "蛋蛋星球-引导页-运行时间",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "运行时间",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/adRule": {
            "get": {
                "description": "视频奖励规则(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-视频奖励规则(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageWatchAdRuleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/index": {
            "get": {
                "description": "基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.HomePageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanGetRedPackage": {
            "get": {
                "description": "是否可以领取红包(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否领取红包(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanGetRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/isCanSignIn": {
            "get": {
                "description": "是否可以签到(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-是否能签到(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.IsCanSignInResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/homePage/realTimePrice": {
            "get": {
                "description": "实时数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "主页"
                ],
                "summary": "蛋蛋星球-主页-实时数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RealTimePriceResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/redPackageDetail": {
            "get": {
                "description": "红包详情(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-红包详情(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "红包 ID",
                        "name": "red_package_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.RedPackageDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/user/grabRedPackage": {
            "post": {
                "description": "领取红包",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-领取红包",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "领取红包信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GrabRedPackageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GrabRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/user/sendRedPackage": {
            "post": {
                "description": "发送红包",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-发送红包",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "发送红包信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/im/user/sendRedPackageDetail": {
            "post": {
                "description": "发送红包详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "即时通讯"
                ],
                "summary": "蛋蛋星球-即时通讯-发送红包详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "红包的订单 ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.SendRedPackageDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inviteCode/userInfo": {
            "post": {
                "description": "邀请码获取用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "邀请码获取用户信息",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.InviteCodeUserInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.InviteCodeUserInfoResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/bindParent": {
            "post": {
                "description": "绑定上级",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "绑定上级-要登陆的",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.InviteCodeUserInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/bindUserInfo": {
            "post": {
                "description": "绑定用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "绑定用户信息",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.WechatAccountUserInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/delete": {
            "post": {
                "description": "注销账号操作",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "账号与安全"
                ],
                "summary": "注销账号操作",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/delete/info": {
            "get": {
                "description": "注销账号信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "账号与安全"
                ],
                "summary": "注销账号信息",
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.UserDeleteInfo"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/getBasic": {
            "get": {
                "description": "基础数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "蛋蛋星球-会员中心-基础数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.MemberCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/inviteUrl": {
            "get": {
                "description": "邀请链接",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "邀请海报"
                ],
                "summary": "邀请链接",
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.InviteUrl"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/parentInfo": {
            "get": {
                "description": "导师信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "导师信息",
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.ParentInfo"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/updatePasscode": {
            "post": {
                "description": "修改支付宝密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "账号与安全"
                ],
                "summary": "修改支付宝密码",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdatePasscodeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/memberCenter/updatePassword": {
            "post": {
                "description": "修改密码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "账号与安全"
                ],
                "summary": "修改密码-不要原密码 换成验证码",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdatePasswordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/openApp/start": {
            "get": {
                "description": "打开app调用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基本配置"
                ],
                "summary": "打开app调用",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/playlet/base": {
            "get": {
                "description": "短剧-基本信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短视频"
                ],
                "summary": "短剧-基本信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PlayletBaseData"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/playlet/reward": {
            "post": {
                "description": "短剧-保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短视频"
                ],
                "summary": "短剧-保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.PlayletRewardRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/playlet/unlockNum": {
            "post": {
                "description": "短剧-解锁数量",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短视频"
                ],
                "summary": "短剧-解锁数量",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.PlayletUnlockRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PlayletUnlockResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/basic": {
            "get": {
                "description": "上部分基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-上部分基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsCenterGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/calcExchange": {
            "get": {
                "description": "蛋蛋分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-预估积分兑换",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "需要兑换能量值",
                        "name": "amount",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsCenterCalcExchangeResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValue": {
            "get": {
                "description": "贡献值(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/contributionValueFlow": {
            "get": {
                "description": "贡献值明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-贡献值明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/dynamicData": {
            "get": {
                "description": "动态数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-动态数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.DynamicDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/energyFlow": {
            "get": {
                "description": "收支明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-收支明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "startAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "流水方向(1.收入 2.支出 0.全部)",
                        "name": "direction",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggEnergyFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/exchangeEnergy": {
            "post": {
                "description": "能量兑换",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-能量兑换",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要兑换的能量值",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeEnergyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/initialData": {
            "get": {
                "description": "初始数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-初始数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.InitialDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/pointsExchangeBasic": {
            "get": {
                "description": "积分兑换基础信息(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-积分兑换基础信息(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.PointsExchangeGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/priceCurve": {
            "get": {
                "description": "价格趋势(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-价格趋势(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按小时 3：按周",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/pointsCenter/record": {
            "get": {
                "description": "蛋蛋分明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "积分中心"
                ],
                "summary": "蛋蛋星球-积分中心-蛋蛋分明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggPointRecordResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/register": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/smsSend": {
            "post": {
                "description": "发送短信",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "发送短信",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SmsSendReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/test": {
            "get": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "任意参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "返回任意参数",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userFeedback/cate": {
            "get": {
                "description": "意见反馈-分类",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "意见反馈"
                ],
                "summary": "意见反馈-分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userFeedback/list": {
            "post": {
                "description": "意见反馈-反馈记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "意见反馈"
                ],
                "summary": "意见反馈-反馈记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userFeedback/record": {
            "post": {
                "description": "意见反馈-反馈记录-沟通记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "意见反馈"
                ],
                "summary": "意见反馈-反馈记录-沟通记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackRecordReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackRecordResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userFeedback/save": {
            "post": {
                "description": "意见反馈-反馈记录-提交",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "意见反馈"
                ],
                "summary": "意见反馈-反馈记录-提交",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userFeedback/say": {
            "post": {
                "description": "意见反馈-反馈记录-沟通发送",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "意见反馈"
                ],
                "summary": "意见反馈-反馈记录-沟通发送",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackSayReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/userInfo": {
            "get": {
                "description": "用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户信息"
                ],
                "summary": "用户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserInfoResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/version": {
            "get": {
                "description": "版本记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基本配置"
                ],
                "summary": "版本记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.VersionResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/video/base": {
            "get": {
                "description": "短视频-基本信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短视频"
                ],
                "summary": "短视频-基本信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.VideoBaseData"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/video/reward": {
            "post": {
                "description": "短视频-领取",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短视频"
                ],
                "summary": "短视频-领取",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.VideoRewardRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/amountFlow": {
            "get": {
                "description": "余额明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-余额明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "开始时间",
                        "name": "startAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endAt",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "流水方向(1.收入 2.支出 0.全部)",
                        "name": "direction",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetAmountFlowResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/apply": {
            "post": {
                "description": "发起提现",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-发起提现",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "具体参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.WithdrawApplyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/bindAlipay": {
            "post": {
                "description": "绑定支付宝",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-绑定支付宝",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "具体参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BindAlipayAccountReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/bindWxPay": {
            "post": {
                "description": "绑定微信支付",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-绑定微信支付",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "具体参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BindWxPayAccountReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/condition": {
            "get": {
                "description": "提现条件(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-提现条件(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetWithdrawConditionResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/index": {
            "get": {
                "description": "提现余额(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-提现余额(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.WithdrawGetAmountResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wallet/withdraw/launchBindAlipay": {
            "get": {
                "description": "发起绑定支付宝获得URL",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "钱包"
                ],
                "summary": "蛋蛋星球-钱包-发起绑定支付宝获得URL",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Url",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wechatLogin": {
            "post": {
                "description": "微信登陆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "微信登陆",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.WechatLoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/wechatRegister": {
            "post": {
                "description": "注册",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录注册"
                ],
                "summary": "注册",
                "parameters": [
                    {
                        "description": "注册参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RegisterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "登录成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "comm.AccessRecordsReq": {
            "type": "object",
            "properties": {
                "index": {
                    "description": "页面标签",
                    "type": "string"
                }
            }
        },
        "comm.ImgReqUploadReq": {
            "type": "object",
            "required": [
                "content_type",
                "file_name"
            ],
            "properties": {
                "content_type": {
                    "type": "string",
                    "example": "image/jpeg"
                },
                "file_name": {
                    "type": "string",
                    "example": "文件名"
                }
            }
        },
        "friend_circles.CommentListReq": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "朋友圈文档记录",
                    "type": "string"
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                }
            }
        },
        "friend_circles.EggFriendCircleCancelLikeReq": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "文章索引",
                    "type": "string"
                }
            }
        },
        "friend_circles.EggFriendCircleDelReq": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "文章索引",
                    "type": "string"
                }
            }
        },
        "friend_circles.EggFriendCircleEsStruct": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "朋友圈文档记录",
                    "type": "string"
                },
                "comment_nums": {
                    "description": "评论数",
                    "type": "integer"
                },
                "content": {
                    "description": "文本内容",
                    "type": "string"
                },
                "created_at": {
                    "description": "State       int32  ` + "`" + `json:\"state\" label:\"状态(1:正常 2:隐藏)\"` + "`" + `\nIsTopUp     int32  ` + "`" + `json:\"is_top_up\" label:\"是否置顶(1:是 2:否)\"` + "`" + `\nIsPraise    int32  ` + "`" + `json:\"is_praise\" label:\"是否被表扬(1:是 2:否)\"` + "`" + `",
                    "type": "string"
                },
                "im_uid": {
                    "type": "integer"
                },
                "image": {
                    "description": "图片",
                    "type": "string"
                },
                "is_like": {
                    "description": "是否点赞",
                    "type": "boolean"
                },
                "kind": {
                    "description": "类型(1:普通 2:官方)",
                    "type": "integer"
                },
                "likes_nums": {
                    "description": "点赞数",
                    "type": "integer"
                },
                "share_nums": {
                    "description": "分享数",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "video": {
                    "description": "视频",
                    "type": "string"
                }
            }
        },
        "friend_circles.EggFriendCircleLikeReq": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "文章索引",
                    "type": "string"
                }
            }
        },
        "friend_circles.EggFriendCircleShareReq": {
            "type": "object",
            "properties": {
                "circle_index_id": {
                    "description": "文章索引",
                    "type": "string"
                }
            }
        },
        "friend_circles.MySelfListReq": {
            "type": "object",
            "properties": {
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                }
            }
        },
        "friend_circles.MySelfListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/friend_circles.EggFriendCircleEsStruct"
                    }
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                },
                "total": {
                    "description": "总量",
                    "type": "integer"
                }
            }
        },
        "friend_circles.PublishReq": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "文本内容",
                    "type": "string"
                },
                "image_list": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "video": {
                    "description": "视屏",
                    "type": "string"
                }
            }
        },
        "friend_circles.RecommendListReq": {
            "type": "object",
            "properties": {
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                }
            }
        },
        "friend_circles.RecommendListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/friend_circles.EggFriendCircleEsStruct"
                    }
                },
                "page": {
                    "description": "页码",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页数量",
                    "type": "integer"
                },
                "total": {
                    "description": "总量",
                    "type": "integer"
                }
            }
        },
        "md.AdvertisingBasic": {
            "type": "object",
            "properties": {
                "android_ad_is_open": {
                    "type": "string",
                    "example": "安卓广告是否开启(1:开启 0:不开启)"
                },
                "android_open_ad_is_open": {
                    "type": "string",
                    "example": "安卓开屏广告是否开启(1:开启 0:不开启)"
                },
                "info": {
                    "type": "object",
                    "additionalProperties": true
                },
                "ios_ad_is_open": {
                    "type": "string",
                    "example": "ios广告是否开启(1:开启 0:不开启)"
                },
                "ios_open_ad_is_open": {
                    "type": "string",
                    "example": "ios开屏广告是否开启(1:开启 0:不开启)"
                },
                "voice": {
                    "type": "string",
                    "example": "领取声音"
                }
            }
        },
        "md.AdvertisingCheck": {
            "type": "object",
            "properties": {
                "is_can_visit": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingFunction": {
            "type": "object",
            "properties": {
                "ad_id": {
                    "type": "string",
                    "example": "广告id"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "type": {
                    "type": "string",
                    "example": "位置"
                }
            }
        },
        "md.AdvertisingLimit": {
            "type": "object",
            "properties": {
                "public_img": {
                    "type": "string",
                    "example": "公共弹窗图"
                },
                "public_str": {
                    "type": "string",
                    "example": "公共弹窗文字"
                },
                "withdraw_img": {
                    "type": "string",
                    "example": "提现弹窗图"
                },
                "withdraw_str": {
                    "type": "string",
                    "example": "提现弹窗文字"
                }
            }
        },
        "md.AdvertisingReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingResp": {
            "type": "object",
            "properties": {
                "basic": {
                    "$ref": "#/definitions/md.AdvertisingBasic"
                },
                "function": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingFunction"
                    }
                },
                "pop": {
                    "$ref": "#/definitions/md.AdvertisingLimit"
                },
                "space": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingSpace"
                    }
                }
            }
        },
        "md.AdvertisingSpace": {
            "type": "object",
            "properties": {
                "counting_down": {
                    "type": "string",
                    "example": "倒计时 x秒"
                },
                "id": {
                    "type": "string",
                    "example": "id"
                },
                "info": {
                    "type": "object",
                    "additionalProperties": true
                },
                "kind": {
                    "type": "string",
                    "example": "广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告)"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                }
            }
        },
        "md.AdvertisingState": {
            "type": "object",
            "properties": {
                "integral": {
                    "type": "string"
                },
                "is_success": {
                    "type": "string"
                }
            }
        },
        "md.BasalRateResp": {
            "type": "object",
            "properties": {
                "basal_rate": {
                    "description": "基础速率",
                    "type": "string"
                },
                "consumed_egg_energy": {
                    "description": "收益蛋蛋能量",
                    "type": "string"
                },
                "consumed_egg_point": {
                    "description": "消耗蛋蛋积分",
                    "type": "string"
                },
                "consumed_time": {
                    "description": "消耗时间/小时",
                    "type": "string"
                },
                "estimated_revenue": {
                    "description": "预估收益蛋蛋能量",
                    "type": "string"
                },
                "remaining_egg_energy": {
                    "description": "剩余蛋蛋能量",
                    "type": "string"
                },
                "remaining_time": {
                    "description": "剩余时间/小时",
                    "type": "string"
                },
                "sign_countdown": {
                    "description": "收益倒计时",
                    "type": "string"
                },
                "sign_time_secs": {
                    "description": "收益倒计时秒数",
                    "type": "integer"
                }
            }
        },
        "md.BindAlipayAccountReq": {
            "type": "object",
            "properties": {
                "auth_code": {
                    "description": "支付宝回调的临时授权码",
                    "type": "string"
                }
            }
        },
        "md.BindWxPayAccountReq": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                }
            }
        },
        "md.CollegeDetailReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "md.CollegeDetailResp": {
            "type": "object",
            "properties": {
                "app_name": {
                    "type": "string"
                },
                "content": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "forward_count": {
                    "type": "string",
                    "example": "分享数量"
                },
                "id": {
                    "type": "string"
                },
                "is_like": {
                    "type": "string",
                    "example": "是否点赞 0否 1是"
                },
                "like_count": {
                    "type": "string",
                    "example": "点赞数量"
                },
                "title": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                },
                "watch_count": {
                    "type": "string",
                    "example": "学习数量"
                }
            }
        },
        "md.CollegeListReq": {
            "type": "object",
            "properties": {
                "cate_id": {
                    "type": "string"
                },
                "limit": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                }
            }
        },
        "md.CollegeListResp": {
            "type": "object",
            "properties": {
                "cover": {
                    "type": "string",
                    "example": "封面图"
                },
                "create_at": {
                    "type": "string"
                },
                "forward_count": {
                    "type": "string",
                    "example": "分享数量"
                },
                "id": {
                    "type": "string"
                },
                "like_count": {
                    "type": "string",
                    "example": "点赞数量"
                },
                "title": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                },
                "watch_count": {
                    "type": "string",
                    "example": "学习数量"
                }
            }
        },
        "md.ConfigResp": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string",
                    "example": "软件使用协议内容"
                },
                "down_url": {
                    "type": "string"
                },
                "guide": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.Guide"
                    }
                },
                "oss_url": {
                    "type": "string",
                    "example": "阿里云图片链接"
                },
                "privacy_title": {
                    "type": "string",
                    "example": "隐私协议标题"
                },
                "privacy_url": {
                    "type": "string",
                    "example": "隐私协议链接"
                },
                "seo": {
                    "$ref": "#/definitions/md.Seo"
                },
                "title": {
                    "type": "string",
                    "example": "软件使用协议标题"
                },
                "user_title": {
                    "type": "string",
                    "example": "用户协议标题"
                },
                "user_url": {
                    "type": "string",
                    "example": "用户协议链接"
                }
            }
        },
        "md.ContributionValueFlowNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "create_at": {
                    "description": "完成时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向： 1.收入 2.支出",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.DeleteUserReq": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                }
            }
        },
        "md.DynamicDataResp": {
            "type": "object",
            "properties": {
                "development_committee": {
                    "description": "发展委员会",
                    "type": "string"
                },
                "public_welfare_and_charity": {
                    "description": "公益基金",
                    "type": "string"
                },
                "star_level_dividends": {
                    "description": "星级分红",
                    "type": "string"
                },
                "user_total_hold": {
                    "description": "用户持有总量",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋能量 2.团队蛋蛋能量",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_energy": {
                    "description": "个人蛋蛋能量",
                    "type": "string"
                },
                "team_egg_energy": {
                    "description": "团队蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                },
                "total_egg_energy_price": {
                    "description": "蛋蛋能量总价",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggEnergyFlowNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变更后数量",
                    "type": "string"
                },
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "before_amount": {
                    "description": "变更前数量",
                    "type": "string"
                },
                "coin_name": {
                    "description": "虚拟币名称",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向:1.收入 2.支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "sys_fee": {
                    "description": "手续费",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "transfer_type": {
                    "description": "转账类型",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsReq": {
            "type": "object",
            "properties": {
                "asc": {
                    "description": "1.升序 2.倒序",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出 全部则传空",
                    "type": "string"
                },
                "kind": {
                    "description": "类型：1. 个人蛋蛋积分 2.团队蛋蛋积分",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "type": {
                    "description": "变动类型 全部则传空",
                    "type": "string"
                }
            }
        },
        "md.EggPointDetailsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水数据",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md.Paginate"
                        }
                    ]
                },
                "person_egg_points": {
                    "description": "个人蛋蛋积分",
                    "type": "string"
                },
                "team_egg_points": {
                    "description": "团队蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_points_amount": {
                    "description": "蛋蛋积分余额",
                    "type": "string"
                },
                "transfer_type_list": {
                    "description": "转账类型列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.TransferTypeList"
                        }
                    ]
                }
            }
        },
        "md.EggPointRecordNode": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "score": {
                    "description": "分数",
                    "type": "string"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "week": {
                    "description": "周数",
                    "type": "string"
                },
                "year": {
                    "description": "年份",
                    "type": "string"
                }
            }
        },
        "md.ExchangeEnergyReq": {
            "type": "object",
            "properties": {
                "energy_amount": {
                    "description": "兑换能量数值",
                    "type": "string"
                }
            }
        },
        "md.FastLoginReq": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "token": {
                    "type": "string",
                    "example": "一键登录的token"
                }
            }
        },
        "md.FindPasswordReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "mobile": {
                    "type": "string"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                }
            }
        },
        "md.GetAmountFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.WalletFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetContributionValueFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ContributionValueFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetContributionValueResp": {
            "type": "object",
            "properties": {
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "ratio": {
                    "description": "兑换比率(x 分兑换 1 人民币)",
                    "type": "string"
                }
            }
        },
        "md.GetEggEnergyFlowResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetEggPointRecordResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "分数明细列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggPointRecordNode"
                    }
                },
                "now_score": {
                    "description": "当前分数",
                    "type": "string"
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md.Paginate"
                }
            }
        },
        "md.GetModuleSettingResp": {
            "type": "object",
            "properties": {
                "data": {
                    "description": "内容"
                },
                "mod_name": {
                    "description": "模块名称",
                    "type": "string"
                },
                "position": {
                    "description": "位置",
                    "type": "string"
                },
                "skip_identifier": {
                    "description": "跳转标识",
                    "type": "string"
                },
                "subtitle": {
                    "description": "副标题",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.GetPriceCurveResp": {
            "type": "object",
            "properties": {
                "x_data": {
                    "type": "array",
                    "items": {}
                },
                "y_data": {
                    "type": "array",
                    "items": {}
                }
            }
        },
        "md.GetWithdrawConditionResp": {
            "type": "object",
            "properties": {
                "first_need_real_name": {
                    "description": "第一次提现是否需要实名",
                    "type": "boolean"
                },
                "first_withdraw_amount_limit": {
                    "description": "第一次提现金额限制",
                    "type": "string"
                },
                "is_bind_alipay": {
                    "description": "是否绑定阿里账户",
                    "type": "boolean"
                },
                "is_bind_wx": {
                    "description": "是否绑定微信账户",
                    "type": "boolean"
                },
                "is_can_withdraw": {
                    "description": "是否能提现",
                    "type": "boolean"
                },
                "is_first": {
                    "description": "是否第一次提现",
                    "type": "boolean"
                },
                "is_need_real_name": {
                    "description": "是否需要实名",
                    "type": "boolean"
                },
                "is_real_name": {
                    "description": "是否实名",
                    "type": "boolean"
                },
                "not_withdraw_reason": {
                    "description": "不能提现原因",
                    "type": "string"
                }
            }
        },
        "md.GrabRedPackageReq": {
            "type": "object",
            "properties": {
                "device_id": {
                    "description": "设备id",
                    "type": "string"
                },
                "receiver_id": {
                    "description": "用户id或者群组id",
                    "type": "integer"
                },
                "receiver_type": {
                    "description": "接收者类型，1：user;2:group",
                    "type": "integer"
                },
                "red_package_cover": {
                    "description": "红包封面",
                    "type": "string"
                },
                "red_package_id": {
                    "description": "红包id",
                    "type": "integer"
                },
                "send_red_package_user_nike_name": {
                    "description": "红包发送者-im用户昵称",
                    "type": "string"
                },
                "send_red_packet_avatar_url": {
                    "description": "红包发送者-im用户头像",
                    "type": "string"
                },
                "send_time": {
                    "description": "消息发送时间戳，精确到毫秒",
                    "type": "integer"
                },
                "token": {
                    "description": "im-token",
                    "type": "string"
                },
                "user_id": {
                    "description": "im用户id",
                    "type": "string"
                }
            }
        },
        "md.GrabRedPackageResp": {
            "type": "object",
            "properties": {
                "grab_amount": {
                    "description": "抢到的红包金额",
                    "type": "string"
                },
                "im": {
                    "description": "im 返回体",
                    "allOf": [
                        {
                            "$ref": "#/definitions/pb.SendRedPacketResp"
                        }
                    ]
                }
            }
        },
        "md.Guide": {
            "type": "object",
            "properties": {
                "bg_image": {
                    "type": "string"
                },
                "bg_image_url": {
                    "type": "string"
                },
                "content_image": {
                    "type": "string"
                },
                "content_image_url": {
                    "type": "string"
                }
            }
        },
        "md.HomePageResp": {
            "type": "object",
            "properties": {
                "initial_price": {
                    "description": "蛋蛋能量初始价格",
                    "type": "string"
                },
                "is_sign": {
                    "description": "是否开始签到",
                    "type": "boolean"
                },
                "leave_timer": {
                    "description": "可签到剩余时间 秒",
                    "type": "string"
                },
                "nick_name": {
                    "description": "用户名称",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "sign_end_time": {
                    "description": "签到截止时间",
                    "type": "string"
                },
                "total_active_points": {
                    "description": "总蛋蛋积分",
                    "type": "string"
                },
                "total_egg_energy": {
                    "description": "总蛋蛋能量",
                    "type": "string"
                }
            }
        },
        "md.HomePageWatchAdRuleResp": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "next_watch_ad_date": {
                    "description": "下次可观看广告时间,若为空允许观看视频",
                    "type": "string"
                },
                "next_watch_ad_secs": {
                    "description": "下次可观看广告时间,若为空允许观看视频",
                    "type": "integer"
                },
                "residue_watch_ad_num": {
                    "description": "当前剩余可观看视频数",
                    "type": "integer"
                },
                "reward_total_num": {
                    "description": "总可观看广告数量",
                    "type": "string"
                },
                "round_remaining_secs": {
                    "description": "本轮剩余时间",
                    "type": "integer"
                },
                "watch_ad_reward_active_points": {
                    "description": "观看广告视频奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.InitialDataResp": {
            "type": "object",
            "properties": {
                "initial_price": {
                    "description": "初始价格",
                    "type": "string"
                },
                "total_angel_investor": {
                    "description": "天使投资人",
                    "type": "string"
                },
                "total_ecological_development": {
                    "description": "生态建设",
                    "type": "string"
                },
                "total_issuance_amount": {
                    "description": "总发行量",
                    "type": "string"
                },
                "total_operate_fund": {
                    "description": "运营资金",
                    "type": "string"
                },
                "total_technology_team": {
                    "description": "技术团队",
                    "type": "string"
                }
            }
        },
        "md.IntegralList": {
            "type": "object",
            "properties": {
                "expend_list": {
                    "description": "支出类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                },
                "income_list": {
                    "description": "收入类型列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TransferTypeNode"
                    }
                }
            }
        },
        "md.InviteCodeUserInfoReq": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "type": "string"
                }
            }
        },
        "md.InviteCodeUserInfoResp": {
            "type": "object",
            "properties": {
                "head_img": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string"
                }
            }
        },
        "md.InviteUrl": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "type": "string"
                },
                "link": {
                    "type": "string"
                },
                "qrcode": {
                    "type": "string"
                }
            }
        },
        "md.IsCanGetRedPackageResp": {
            "type": "object",
            "properties": {
                "is_can_get_red_package": {
                    "description": "能否获取红包",
                    "type": "boolean"
                }
            }
        },
        "md.IsCanSignInResp": {
            "type": "object",
            "properties": {
                "is_can_sign_in": {
                    "description": "能否签到",
                    "type": "boolean"
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "phone"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.MemberCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "active_num": {
                    "description": "活跃值",
                    "type": "string"
                },
                "amount": {
                    "description": "账户余额",
                    "type": "string"
                },
                "contribution_value": {
                    "description": "贡献值",
                    "type": "string"
                },
                "date": {
                    "description": "兑换时间(每月x日)",
                    "type": "string"
                },
                "egg_energy": {
                    "description": "能量值",
                    "type": "string"
                },
                "egg_energy_value": {
                    "description": "能量预估价值",
                    "type": "string"
                },
                "egg_score": {
                    "description": "蛋蛋分",
                    "type": "string"
                },
                "head_img": {
                    "type": "string",
                    "example": "头像"
                },
                "id": {
                    "type": "string",
                    "example": "个人ID号"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "is_bind_extend": {
                    "type": "string",
                    "example": "是否绑定了上级 0否 1是"
                },
                "is_real_name": {
                    "type": "string",
                    "example": "是否实名认证 0否 1是"
                },
                "level_name": {
                    "type": "string",
                    "example": "等级"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "ratio": {
                    "description": "能量值兑换比例(x:y)",
                    "type": "string"
                },
                "wechat_account": {
                    "type": "string",
                    "example": "微信号"
                }
            }
        },
        "md.MyFansResp": {
            "type": "object",
            "properties": {
                "now_team_assistance_num": {
                    "description": "团队助力人数",
                    "type": "integer"
                },
                "now_team_assistance_reward": {
                    "description": "团队助力收益",
                    "type": "string"
                },
                "now_team_user": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.MyFansUserListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.OneLineUserNode"
                    }
                }
            }
        },
        "md.NineDimensionalSpaceResp": {
            "type": "object",
            "properties": {
                "a_lot_of_nums": {
                    "description": "全网至多用户数",
                    "type": "integer"
                },
                "day_num": {
                    "description": "连续x天不活跃",
                    "type": "integer"
                },
                "rows": {
                    "description": "行数",
                    "type": "string"
                },
                "space_list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SpaceListNode"
                    }
                },
                "space_nums": {
                    "description": "空间人数",
                    "type": "integer"
                },
                "space_total_nums": {
                    "description": "空间总数",
                    "type": "integer"
                },
                "times": {
                    "description": "排数",
                    "type": "string"
                }
            }
        },
        "md.OneLineUserNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string"
                },
                "invite_time": {
                    "type": "string"
                },
                "is_online": {
                    "type": "boolean"
                },
                "nickname": {
                    "type": "string"
                }
            }
        },
        "md.ParentInfo": {
            "type": "object",
            "properties": {
                "head_img": {
                    "type": "string",
                    "example": "头像"
                },
                "id": {
                    "type": "string",
                    "example": "个人ID号"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "level_name": {
                    "type": "string",
                    "example": "等级"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "wechat_account": {
                    "type": "string",
                    "example": "微信号"
                }
            }
        },
        "md.PlayletBaseData": {
            "type": "object",
            "properties": {
                "android_adv_id": {
                    "type": "string",
                    "example": "安卓激励视频广告位"
                },
                "coin_name": {
                    "type": "string",
                    "example": "积分名称"
                },
                "day_one_count": {
                    "type": "string",
                    "example": "每天每个短剧解锁次数"
                },
                "first_count": {
                    "type": "string",
                    "example": "首次可观看集数"
                },
                "ios_adv_id": {
                    "type": "string",
                    "example": "iOS激励视频广告位"
                },
                "leave": {
                    "type": "string",
                    "example": "剩余次数"
                },
                "reward": {
                    "type": "string",
                    "example": "单次奖励"
                },
                "second_count": {
                    "type": "string",
                    "example": "看一次广告解锁集数"
                },
                "sum": {
                    "type": "string",
                    "example": "奖励总数"
                },
                "total": {
                    "type": "string",
                    "example": "可领取总次数"
                }
            }
        },
        "md.PlayletRewardRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string",
                    "example": "广告id"
                }
            }
        },
        "md.PlayletUnlockRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string",
                    "example": "短剧id"
                }
            }
        },
        "md.PlayletUnlockResp": {
            "type": "object",
            "properties": {
                "num": {
                    "type": "string"
                }
            }
        },
        "md.PointsCenterCalcExchangeResp": {
            "type": "object",
            "properties": {
                "value": {
                    "description": "预估可兑换的金额",
                    "type": "string"
                }
            }
        },
        "md.PointsCenterGetBasicResp": {
            "type": "object",
            "properties": {
                "egg_point": {
                    "description": "能量积分",
                    "type": "string"
                },
                "egg_point_amount": {
                    "description": "能量积分价值",
                    "type": "string"
                },
                "energy": {
                    "description": "蛋蛋能量值",
                    "type": "string"
                },
                "energy_amount": {
                    "description": "能量价值",
                    "type": "string"
                },
                "wallet_amount": {
                    "description": "账户余额",
                    "type": "string"
                }
            }
        },
        "md.PointsExchangeGetBasicResp": {
            "type": "object",
            "properties": {
                "available_cash": {
                    "description": "可用现金",
                    "type": "string"
                },
                "available_energy": {
                    "description": "可用能量",
                    "type": "string"
                }
            }
        },
        "md.RealNameAuthAddRequest": {
            "type": "object",
            "properties": {
                "card_no": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "md.RealNameAuthBasicData": {
            "type": "object",
            "properties": {
                "auth_state": {
                    "type": "string",
                    "example": "0未申请  1申请通过  3申请失败"
                },
                "is_need_get_energy": {
                    "type": "string",
                    "example": "0不需要获取能量  1弹窗提示 前往蛋蛋乐园获取能量"
                },
                "tip_str": {
                    "type": "string"
                }
            }
        },
        "md.RealNameAuthResp": {
            "type": "object",
            "properties": {
                "oid": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                }
            }
        },
        "md.RealTimePriceResp": {
            "type": "object",
            "properties": {
                "is_rises": {
                    "description": "是否涨/跌价",
                    "type": "boolean"
                },
                "now_price": {
                    "description": "当前价格",
                    "type": "string"
                },
                "rises": {
                    "description": "涨价幅度(百分比)",
                    "type": "string"
                },
                "user_count": {
                    "description": "用户数",
                    "type": "integer"
                }
            }
        },
        "md.RedPackageDetailResp": {
            "type": "object",
            "properties": {
                "detail": {
                    "description": "红包详情信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/model.ImSendRedPackageOrd"
                        }
                    ]
                },
                "list": {
                    "description": "领取红包用户列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.RedPackageDetailUserNode"
                    }
                }
            }
        },
        "md.RedPackageDetailUserNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "string"
                },
                "im_user_id": {
                    "description": "im用户id",
                    "type": "string"
                },
                "received_at": {
                    "description": "领取时间",
                    "type": "string"
                },
                "user_avatar_url": {
                    "description": "im用户昵称",
                    "type": "string"
                },
                "user_nick_name": {
                    "description": "im用户昵称",
                    "type": "string"
                }
            }
        },
        "md.RegisterReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "invite_code": {
                    "type": "string",
                    "example": "邀请码"
                },
                "mobile": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "type": {
                    "type": "string",
                    "example": "app:APP注册、h5:H5注册"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                },
                "wechat_code": {
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.SendRedPackageDetailReq": {
            "type": "object",
            "properties": {
                "order_id": {
                    "description": "红包的订单 ID",
                    "type": "string"
                }
            }
        },
        "md.SendRedPackageDetailResp": {
            "type": "object",
            "properties": {
                "im": {
                    "$ref": "#/definitions/md.SeqType"
                },
                "red_package_id": {
                    "description": "红包 ID",
                    "type": "integer"
                }
            }
        },
        "md.SendRedPackageReq": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "红包金额",
                    "type": "string"
                },
                "device_id": {
                    "description": "设备id",
                    "type": "string"
                },
                "receiver_id": {
                    "description": "用户id或者群组id",
                    "type": "integer"
                },
                "receiver_type": {
                    "description": "接收者类型，1：user;2:group",
                    "type": "integer"
                },
                "red_package_cover": {
                    "description": "红包封面",
                    "type": "string"
                },
                "red_packet_content": {
                    "description": "红包文字内容",
                    "type": "string"
                },
                "red_packet_nums": {
                    "description": "红包数量",
                    "type": "integer"
                },
                "red_packet_small_content": {
                    "description": "红包文字内容",
                    "type": "string"
                },
                "red_packet_type": {
                    "description": "红包类型(0:未知 1:好友红包 2:群组普通红包 3:群组手气红包 4:群组专属红包 5:系统红包)",
                    "type": "integer"
                },
                "send_time": {
                    "description": "消息发送时间戳，精确到毫秒",
                    "type": "integer"
                },
                "to_user_ids": {
                    "description": "红包给到哪些im用户id(专属红包)",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "token": {
                    "description": "im-token",
                    "type": "string"
                },
                "user_id": {
                    "description": "im用户id",
                    "type": "string"
                }
            }
        },
        "md.SendRedPackageResp": {
            "type": "object",
            "properties": {
                "im": {
                    "$ref": "#/definitions/pb.SendRedPacketResp"
                },
                "red_package_id": {
                    "description": "红包ID",
                    "type": "integer"
                }
            }
        },
        "md.Seo": {
            "type": "object",
            "properties": {
                "seo_logo": {
                    "type": "string"
                },
                "seo_title": {
                    "type": "string",
                    "example": "seo"
                },
                "web_logo": {
                    "type": "string"
                }
            }
        },
        "md.SeqType": {
            "type": "object",
            "properties": {
                "seq": {
                    "description": "序列号",
                    "type": "integer"
                }
            }
        },
        "md.SmsSendReq": {
            "type": "object",
            "required": [
                "mobile"
            ],
            "properties": {
                "captcha_output": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "gen_time": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "lot_number": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "mobile": {
                    "type": "string"
                },
                "pass_token": {
                    "type": "string",
                    "example": "阿里云图形验证码对应参数"
                },
                "type": {
                    "type": "string",
                    "example": "userDelete:用户注销 h5Register:h5注册页、wechatBindPhone:微信绑定手机、login:登陆、findPwd:找回密码、changePwd:修改密码、changePasscode:修改支付密码"
                }
            }
        },
        "md.SpaceListNode": {
            "type": "object",
            "properties": {
                "max_count": {
                    "description": "最大容纳人数",
                    "type": "integer"
                },
                "name": {
                    "description": "维度",
                    "type": "string"
                },
                "now_count": {
                    "description": "当前人数",
                    "type": "integer"
                }
            }
        },
        "md.TotalRateResp": {
            "type": "object",
            "properties": {
                "consumed_personal_egg_point": {
                    "description": "消耗个人蛋蛋积分",
                    "type": "string"
                },
                "consumed_team_egg_point": {
                    "description": "消耗团队蛋蛋积分",
                    "type": "string"
                },
                "now_basal_rate": {
                    "description": "当前基础速率/小时",
                    "type": "string"
                },
                "now_team_rate": {
                    "description": "当前团队速率/小时",
                    "type": "string"
                },
                "now_total_rate": {
                    "description": "总速率/小时",
                    "type": "string"
                }
            }
        },
        "md.TransferTypeList": {
            "type": "object",
            "properties": {
                "TeamTransferTypeList": {
                    "description": "团队积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                },
                "personal_transfer_type_list": {
                    "description": "个人积分变动列表",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.IntegralList"
                        }
                    ]
                }
            }
        },
        "md.TransferTypeNode": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "value": {
                    "type": "string"
                }
            }
        },
        "md.UpdatePasscodeReq": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "passcode": {
                    "type": "string",
                    "example": "密码 如 123"
                }
            }
        },
        "md.UpdatePasswordReq": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "密码 如 123"
                }
            }
        },
        "md.UserDeleteInfo": {
            "type": "object",
            "properties": {
                "info": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserDeleteInfoList"
                    }
                },
                "url": {
                    "type": "string",
                    "example": "蛋蛋星球注销须知 链接"
                }
            }
        },
        "md.UserDeleteInfoList": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackListResp": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "label": {
                    "type": "string"
                },
                "state": {
                    "type": "string",
                    "example": "0未回复 1已回复"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackRecordReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackRecordResp": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "head_img": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackSaveReq": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "string",
                    "example": "问题类型的id"
                },
                "content": {
                    "type": "string",
                    "example": "问题内容"
                },
                "idea": {
                    "type": "string",
                    "example": "建议内容"
                },
                "img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    },
                    "example": [
                        "图片"
                    ]
                },
                "phone": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string",
                    "example": "问题类型的name"
                }
            }
        },
        "md.UserFeedbackSayReq": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string",
                    "example": "问题内容"
                },
                "id": {
                    "type": "string",
                    "example": "id"
                }
            }
        },
        "md.UserInfoResp": {
            "type": "object",
            "properties": {
                "head_img": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "invite_code": {
                    "type": "string"
                },
                "is_bind_extend": {
                    "type": "string",
                    "example": "是否绑定了上级 0否 1是"
                },
                "nickname": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "md.Version": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "img": {
                    "type": "string"
                },
                "is_must": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "md.VersionResp": {
            "type": "object",
            "properties": {
                "is_audit_version": {
                    "type": "string"
                },
                "version": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.Version"
                    }
                }
            }
        },
        "md.VideoBaseData": {
            "type": "object",
            "properties": {
                "coin_name": {
                    "type": "string",
                    "example": "积分名称"
                },
                "interval": {
                    "type": "string",
                    "example": "领取间隔 秒"
                },
                "leave": {
                    "type": "string",
                    "example": "剩余次数"
                },
                "reward": {
                    "type": "string",
                    "example": "单次奖励"
                },
                "sum": {
                    "type": "string",
                    "example": "奖励总数"
                },
                "timer": {
                    "type": "string",
                    "example": "观看X秒奖励"
                },
                "total": {
                    "type": "string",
                    "example": "可领取总次数"
                }
            }
        },
        "md.VideoRewardRequest": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string",
                    "example": "广告id"
                }
            }
        },
        "md.WalletFlowNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变动后金额",
                    "type": "string"
                },
                "amount": {
                    "description": "变动金额",
                    "type": "string"
                },
                "before_amount": {
                    "description": "变动前金额",
                    "type": "string"
                },
                "create_time": {
                    "description": "创建时间",
                    "type": "string"
                },
                "direction": {
                    "description": "方向:1.收入 2.支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "kind": {
                    "description": "1:管理员操作增加余额 2:管理员操作扣除余额 3:蛋蛋能量兑换余额 4:余额兑换蛋蛋能量",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "ord_id": {
                    "description": "对应订单编号",
                    "type": "string"
                },
                "state": {
                    "description": "1未到账,2已到账",
                    "type": "integer"
                },
                "sys_fee": {
                    "description": "手续费",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_time": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "md.WechatAccountUserInfoReq": {
            "type": "object",
            "properties": {
                "head_img": {
                    "type": "string",
                    "example": "头像 不是修改不用传"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称 不是修改不用传"
                },
                "wechat_account": {
                    "type": "string",
                    "example": "微信号 不是修改不用传"
                }
            }
        },
        "md.WechatLoginReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "type": "string",
                    "example": "头像"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "open_id": {
                    "type": "string",
                    "example": "微信openId"
                },
                "sex": {
                    "type": "string"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信UnionId"
                },
                "wechat_code": {
                    "type": "string"
                }
            }
        },
        "md.WithdrawApplyReq": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "string"
                },
                "kind": {
                    "description": "提现方式(alipay:支付宝 wx:微信)",
                    "type": "string"
                }
            }
        },
        "md.WithdrawGetAmountResp": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "余额",
                    "type": "string"
                }
            }
        },
        "model.ImSendRedPackageOrd": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "string"
                },
                "create_time": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "im_data": {
                    "type": "string"
                },
                "im_uid": {
                    "type": "integer"
                },
                "ord_no": {
                    "type": "string"
                },
                "received_im_user_ids": {
                    "type": "string"
                },
                "received_times": {
                    "type": "string"
                },
                "received_user_amount": {
                    "type": "string"
                },
                "received_user_ids": {
                    "type": "string"
                },
                "red_packet_balance_amount": {
                    "type": "string"
                },
                "red_packet_balance_nums": {
                    "type": "integer"
                },
                "red_packet_nums": {
                    "type": "integer"
                },
                "red_packet_type": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "update_time": {
                    "type": "string"
                },
                "wait_draw_im_user_ids": {
                    "type": "string"
                },
                "wait_draw_user_ids": {
                    "type": "string"
                }
            }
        },
        "pb.SendRedPacketResp": {
            "type": "object",
            "properties": {
                "seq": {
                    "description": "消息序列号",
                    "type": "integer"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "ddxq.izhim.com",
	BasePath:         "/api/v1",
	Schemes:          []string{},
	Title:            "蛋蛋星球-APP客户端",
	Description:      "APP客户端-Api接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
